/*=========================================================================
*
*  LOGIC CORE:          PS2 键盘解码实验			
*  MODULE NAME:         Key_Disp()
*  COMPANY:             北京至芯开源科技有限责任公司
*                       www.zxopen.com   www.fpgaw.com
*	author:					小梅哥
*	author QQ：528369266
*  REVISION HISTORY:  
*
*    Revision 1.0  25/12/2014     Description: Initial Release.
*
*  FUNCTIONAL DESCRIPTION:
*
*  本模块为PS2键盘解码实验的顶层模块
*
===========================================================================*/

module Key_Disp(Clk,Rst_n,PS2_Din,PS2_Clk,Dig_Led_seg,Dig_Led_sel,Beep);

	input Clk;/*system clock*/
	input Rst_n;/*复位信号*/
	
	input PS2_Din;/*PS2键盘数据线*/
	input PS2_Clk;/*PS2键盘时钟线*/
	
	
	output [6:0]Dig_Led_seg;/*数码管段选输出*/
	output [7:0]Dig_Led_sel;/*数码管位选输出*/
	
	output Beep;/*蜂鸣器输出脚*/
	
	wire Key_Flag;
	wire [9:0]Key_Valve;
	
	PS2_Key_Board_Driver u1(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.PS2_Din(PS2_Din),
		.PS2_Clk(PS2_Clk),
		.Key_Flag(Key_Flag),
		.Key_Valve(Key_Valve)
	);
	
//	DIG_LED_DRIVE u2(
//		.Data({22'h0,Key_Valve}),
//		.Clk(Clk),
//		.Rst_n(Rst_n),
//		.Dig_Led_seg(Dig_Led_seg),
//		.Dig_Led_sel(Dig_Led_sel)
//	);
	
	Beep u3(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.En(Key_Flag),
		.Beep(Beep)
	);
    
    HXE8 HXE8(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.En(1'b1),
		.disp_data({22'h0,Key_Valve}),
		.sel(Dig_Led_sel),
		.seg(Dig_Led_seg)
	);

endmodule
